﻿.vertical-center {
    min-height: 90%;
    min-height: 90vh;
    display: flex;
    align-items: center;
}

.logo-login {
    margin: 0 auto;
    width: 180px;
}

.logo-car-espacio {
    padding: 2px;
    margin: 0 auto;
}

.logo-car-mariposa-espacio {
    height: 48px;
    margin: 0 auto;
}

#page-wrapper {
    min-height: 100%;
}

    #page-wrapper:after {
        content: "";
        display: block;
    }

    .car-piedepagina, #page-wrapper:after {
        height: 76px;
    }

.car-logo-piedepagina {
    height: 64px;
    padding-bottom: 8px;
}

.car-sellos-piedepagina {
    margin-top: 16px;
    padding-top: 16px;
    height: 48px;
}

.detalles > .row {
    border-bottom-color: #e9e9e9;
    border-bottom-width: thin;
    border-bottom-style: solid;
    font-size: 15px;
}

    .detalles > .row:nth-of-type(even) {
        background-color: #e5eef9;
        border-bottom-color: #cbdef3;
    }

    .detalles > .row > div {
        padding-left: 4px;
        padding-right: 4px;
    }

        .detalles > .row > div:nth-of-type(odd) {
            text-align: right;
        }



/*Estilos para la tabla de detalles*/
@media (max-width: 768px) {
    .detalles > .row > div:nth-child(4n), .detalles > .row > div:nth-child(4n-1) {
        background-color: #e5eef9;
        border-bottom-color: #cbdef3;
    }

    .detalles > .row > div:nth-child(4n-2), .detalles > .row > div:nth-child(4n-3) {
        background-color: #fff;
        border-bottom-color: #e9e9e9;
    }
}

/*Asterisco de Requerido*/
.form-group.required .control-label:after {
    content: "*";
    color: red;
}

.error-validacion {
    color: #ff5151;
}

    .error-validacion:before {
        color: #ff5151;
        content: "*";
    }

.ui-select-placeholder, .ui-select-match-text {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-right: 40px;
}

.ui-select-toggle .btn.btn-link {
    margin-right: 10px;
    top: 6px;
    position: absolute;
    right: 10px;
}

.separacion {
    margin-top: 2px;
    margin-bottom: 2px;
}

.dataTables_wrapper label {
    font-weight: normal !important;
}

.checkBorder {
    height: 20px;
}

.superadmin {
    color: #007F5E;
}

.cuerpo > .sk-spinner {
    display: none;
}

.cuerpo.sk-loading {
    position: relative;
    z-index: 20000;
}

    .cuerpo.sk-loading:after {
        content: '';
        background-color: rgba(0, 0, 0, 0.99);
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20000;
    }

    .cuerpo.sk-loading > .sk-spinner {
        display: block;
        position: fixed;
        top: 40%;
        left: 0;
        right: 0;
        z-index: 21000;
    }

.ui-select-match > .btn-default[disabled] {
    color: #000;
}

.muestramenu {
    display:inline-block;
}

@media (min-width: 768px) {
    .muestramenu {
        display:none;
    }
}

.table-responsiveAITE{
    width : 100%;
    overflow-x : auto;
    overflow-y : hidden;
}

.app-modal-window .modal-dialog {
        width: 1200px;
    }

.app-modal-window2 .modal-dialog {
        width: 900px;
    }

.app-modal-window-full .modal-dialog{
    width:90%;
}

.app-modal-window-md .modal-dialog{
    width:70%;
}


    .porActualizar {
        background-color:aqua;
    }

 .btn-right {
    float: right;
    border: none;
    background: none;
    color: #cdcdcd;
    width: 22px;
    height: 22px;
    margin-right: 5px;
}

 .btn-right:hover {
    color: #757575;
    border: 1px solid #b9b9b9;
    border-radius: 5px;
}


 
.ui-select-match.ng-scope {
    width: 100%;
}

span.btn.btn-default.form-control.ui-select-toggle {
    width: 100%;
}

.form-control.ui-select-search.ng-pristine.ng-valid.ng-empty.ng-touched.ng-hide {
    width: 100%;
}

input.form-control.ui-select-search.ng-pristine.ng-valid.ng-empty.ng-touched {
    width: 100%;
}
span.label.label-primary, span.label.label-success,span.label.label-info {
   
    font-size: 12px;
    font-family: none;
    margin-right: 5px;
}

.tabla-select-car {
}

 .table-striped > tbody > tr:nth-of-type(odd) {
        background-color: rgba(0, 127, 94, 0.06) ;
    }

    .table-hover > tbody > tr:hover {
        background-color: rgba(0, 127, 94, 0.14) ;
    }

.tabla-select-car tr.row-seleccionada, .tabla-select-car.table-striped tr.row-seleccionada {
    /*background: rgba(0, 127, 94, 0.67) ;*/
    background: rgba(0, 127, 94, 0.92) !important;
    color: #fffdfd;
}

    .tabla-select-car tr:hover td,.tabla-select-car.table-hover tr:hover td{
        background: rgba(11, 133, 101, 0.17);
        color: #555656 ;
        cursor: pointer;
    }

     tr.row-seleccionada:hover td{
          background: rgba(67, 167, 141, 0.99) !important;
        /*background: rgba(0, 127, 94, 0.92) !important;*/
        color: #fffdfd !important;
    }
     tr.row-seleccionada:hover td input,tr.row-seleccionada td input,tr.row-seleccionada .input-group-addon .fa,  tr.row-seleccionada td .ui-select-container{
         color:#888888;
     }
     .tabla-select-car.table-bordered td{
             border: 0.5px solid rgba(221, 221, 221, 0.4)!important;
     }
    .tooltip-info {
        position: absolute;
        background: #332828;
        color: #fff;
        padding: 10px;
        width: 50%;
        float: right;
        right: 50px;
        opacity: 0.9;
        }

    .tooltip-info > pre{
        z-index: 9999;
        overflow: hidden;
        background: none;
        color: #fff;
        font-family: "Swis721 Cn BT Roman", "Helvetica Neue", "Helvetica, Arial, sans-serif";
        border: none;
    
    }

    .div-tooltip:hover div.tooltip-info {
        display:block;
        display: block!important;
    } 

    .fieldset-border {
        padding: .35em .625em .75em;
        margin: 0 2px;
        border: 1px solid silver;
    }

        .fieldset-border legend {
            padding: 5px;
            width: inherit;
            border: none;
        }

    .ui-select-choices .active {
        background-color: rgba(99, 164, 85, 0.27);
    }
    /*span.ng-binding.ng-scope{
            display: block;
            overflow: hidden;
            width: 200px;
            text-overflow: ellipsis;
    }*/
    span.ui-select-match-item.btn.btn-default.btn-xs {
        max-width: 99%;
    }

        ul.lista-numerada {
            counter-reset: li;
            list-style: none;
            *list-style: decimal;
            font: 15px 'trebuchet MS', 'lucida sans';
            padding: 0;
            margin-bottom: 4em;
            text-shadow: 0 1px 0 rgba(255,255,255,.5);
        }

             ul.lista-numerada ul {
                margin: 0 0 0 2em;
            }

             ul.lista-numerada li {
                position: relative;
                display: block;
                padding: .4em .4em .4em 2em;
                *padding: .4em;
                margin: .5em 0;
                background: #ddd;
                color: #444;
                text-decoration: none;
                border-radius: .3em;
               /*transition: all .3s ease-out;*/ 
            }

                 ul.lista-numerada li:hover {
                    background: #eee;
                }

                     /*ul.lista-numerada li:hover:before {
                        /*transform: rotate(360deg);* /
                    }*/

                ul.lista-numerada li:before {
                    content: counter(li);
                    counter-increment: li;
                    position: absolute;
                    left: -1.3em;
                    top: 50%;
                    margin-top: -1em;
                    background: #6aa85c;
                    height: 2em;
                    width: 2em;
                    line-height: 1.5em;
                    border: .3em solid #fff;
                    text-align: center;
                    font-weight: bold;
                    border-radius: 2em;
                    transition: all .3s ease-out;
                    color: #eaeaea;
                }
                 ul.lista-numerada a{
                     color:#6aa85c;
                 }

.espacio-label {
    display: block;
    height: 22px;
}

.tr-red {
    background-color: rgba(255, 0, 0, 0.32) !important;
}

span.label-falso {
    height: 18px;
    display: block;
    margin-bottom: 5px;
}

    .fieldset-k2 {
        border: 2px solid #e4e4e4;
        padding: 10px 1px;
        padding-bottom: 20px;
        margin-bottom: 10px;
    }

    .fieldset-k2 > legend {
        margin-left: 10px;
        padding: 0px 10px;
        border: 0px;
        margin-bottom: 10px;
        width: auto;
        font-family: "Swis721 Cn BT Roman", "Helvetica Neue", Helvetica, Arial, sans-serif;
        font-size: 18px;
    }

.form-group.required .control-label.label-falso:after

    /*
    span.ng-binding.ng-scope {
        max-width: 96%;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .panel-default>.panel-heading .badge {
    margin-left: 5px;
}*/